Index

## Global Objects

- rap
- SWT

## Types

- Button
- Canvas
- Combo
- Composite
- Control
- Event
- Label
- ProgressBar
- RemoteObject
- Scale
- Spinner
- Text

# Type Composite

Extends Control.
RWT Scripting analoge to org.eclipse.swt.widgets.Composite and basis for Custom Widgets.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| addListener(type, listener) Register the function as a listener of the given type
| append(childElement) Adds a given HTMLElement to the Composite.
| getClientArea() Returns the client Area of the Composite
| removeListener(type, listener) De-register the function as a listener of the given type

Methods borrowed from class Control:
  forceFocus, getBackground, getCursor, getData, getEnabled, getForeground, getToolTipText, getVisible, setBackground, setData, setEnabled, setForeground, setToolTipText, setVisible

Event Summary
Event Attributes | Event Name and Description
--- | ---
| Resize Sent when widget changes size.

Type Detail
<private> Composite(composite)
The constructor is not public.

Parameters:
composite

Since:
  2.0

Method Detail
addListener(type, listener)
Register the function as a listener of the given type

Parameters:
{string} type
  The type of the event (e.g. "Resize").
{Function} listener
  The callback function. It is executed in global context.

append(childElement)
Adds a given HTMLElement to the Composite.

Parameters:
{HTMLElement} childElement
  The element to append.

{int[]} getClientArea()
Returns the client Area of the Composite

Returns:
  {int[]} the client area as array [ x, y, width, height ]

removeListener(type, listener)
De-register the function as a listener of the given type

Parameters:
{string} type
  The type of the event (e.g. "Resize").
{Function} listener
  The callback function

Event Detail
Resize
Sent when widget changes size.

Copyright (c) EclipseSource and others 2013. All rights reserved.